Package com.xebialabs.deployit.plugin.api.reflect

## Class InputHint

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.reflect.InputHint

-     public class InputHint
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `InputHint.InputHintBuilder` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputHint()` |
    `InputHint​(PropertyKind kind, boolean required, java.lang.String prompt, java.util.List<InputHintValue> values, java.util.Set<Validator<?>> validationRules, java.lang.String copyFromProperty, Type referencedType, java.lang.String methodRef, boolean dynamicLookup)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InputHint` | `copyFrom​(InputHint inputHint)` |
    `java.lang.String` | `getCopyFromProperty()` |
    `PropertyKind` | `getKind()` |
    `java.lang.String` | `getMethodRef()` |
    `java.lang.String` | `getPrompt()` |
    `Type` | `getReferencedType()` |
    `java.util.Set<Validator<?>>` | `getValidationRules()` |
    `java.util.List<InputHintValue>` | `getValues()` |
    `boolean` | `isDynamicLookup()` |
    `boolean` | `isRequired()` |
    `static InputHint` | `newInputHintFrom​(InputHint inputHint)` |
    `void` | `setCopyFromProperty​(java.lang.String copyFromProperty)` |
    `void` | `setDynamicLookup​(boolean dynamicLookup)` |
    `void` | `setKind​(PropertyKind kind)` |
    `void` | `setMethodRef​(java.lang.String methodRef)` |
    `void` | `setPrompt​(java.lang.String prompt)` |
    `void` | `setReferencedType​(Type referencedType)` |
    `void` | `setRequired​(boolean required)` |
    `void` | `setValues​(java.util.List<InputHintValue> values)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputHint

          public InputHint()

    - #### InputHint

          public InputHint​(PropertyKind kind,
                           boolean required,
                           java.lang.String prompt,
                           java.util.List<InputHintValue> values,
                           java.util.Set<Validator<?>> validationRules,
                           java.lang.String copyFromProperty,
                           Type referencedType,
                           java.lang.String methodRef,
                           boolean dynamicLookup)

  - ### Method Detail

    - #### getKind

          public PropertyKind getKind()

    - #### setKind

          public void setKind​(PropertyKind kind)

    - #### getValues

          public java.util.List<InputHintValue> getValues()

    - #### setValues

          public void setValues​(java.util.List<InputHintValue> values)

    - #### getValidationRules

          public java.util.Set<Validator<?>> getValidationRules()

    - #### copyFrom

          public InputHint copyFrom​(InputHint inputHint)

    - #### newInputHintFrom

          public static InputHint newInputHintFrom​(InputHint inputHint)

    - #### getPrompt

          public java.lang.String getPrompt()

    - #### setPrompt

          public void setPrompt​(java.lang.String prompt)

    - #### isRequired

          public boolean isRequired()

    - #### setRequired

          public void setRequired​(boolean required)

    - #### getCopyFromProperty

          public java.lang.String getCopyFromProperty()

    - #### setCopyFromProperty

          public void setCopyFromProperty​(java.lang.String copyFromProperty)

    - #### getReferencedType

          public Type getReferencedType()

    - #### setReferencedType

          public void setReferencedType​(Type referencedType)

    - #### getMethodRef

          public java.lang.String getMethodRef()

    - #### setMethodRef

          public void setMethodRef​(java.lang.String methodRef)

    - #### isDynamicLookup

          public boolean isDynamicLookup()

    - #### setDynamicLookup

          public void setDynamicLookup​(boolean dynamicLookup)